@echo off

:START

REM <Vista/7>
IF EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\Desktop\■NANSセットアップ■
REM <2000/XP>
IF NOT EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\デスクトップ\■NANSセットアップ■
cd \
cd %desktop%

ECHO ###　NANS21V　セットアップ処理　開始 ###
ECHO.

:STEP01
ECHO ＜STEP1：インストール《前》処理＞
ECHO 　現在の環境設定ファイル、テンプレートがバックアップされ、最新版の
ECHO 　インストーラーが「C:\バックアップ\Install」フォルダにコピーされます。
ECHO.

pause
call scripts\preinst.bat
cls

:STEP02
ECHO ＜STEP2：NANS21V インストール＞
ECHO 　旧バージョンのアンインストール、最新バージョンのインストールを実行します。
ECHO.
ECHO 　※Windows Vista / 7 / 8 では、インストーラーの実行許可を確認する画面が表示される
ECHO 　　場合がありますが、必ず「許可」を選択して進めてください。
ECHO.
pause
call scripts\install.bat
cls

:STEP03
ECHO ＜STEP3：インストール《後》処理＞
ECHO 　STEP1でバックアップした環境設定ファイルを復元します。
ECHO.
pause
call scripts\postinst.bat
cls

:END
ECHO ###　NANS21V　セットアップ処理　終了 ###
ECHO.
